<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>

	<xsd:element name="TRANS_ISDN_PHONE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="ADD_ISDN_PHONE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="NAME"/>
				<xsd:element ref="NET_PHONE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="UPDATE_ISDN_PHONE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="NAME"/>
				<xsd:element ref="NET_PHONE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="DEL_ISDN_PHONE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="NAME"/>
				<xsd:element ref="NET_PHONE"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="ADD_ISDN_PHONE"/>
			<xsd:element ref="UPDATE_ISDN_PHONE"/>   <!--not supported-->
			<xsd:element ref="DEL_ISDN_PHONE"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>
